ilch Forum » Ilch Clan 1.1 » Installation und Upgrades » Internal Server Error nach P. Wechsel

Geschlossen
  1. #1
    User Pic
    Jan68 Mitglied
    Registriert seit
    06.03.2015
    Beiträge
    114
    Beitragswertungen
    0 Beitragspunkte
    Hallo und Danke erstmal,

    bin mit meinen Webspace und Domäns zu einen anderen Provider gewechselt.

    Habe die Datenbank erfolgreich exportiert und wieder importiert und das gesamte ilch Verzeichniss rübergeschoben.

    Jetzt bekomme ich beim Aufruf von ilch folgende fehlermeldung.

    Internal Server Error

    The server encountered an internal error or misconfiguration and was unable to complete your request.

    Please contact the server administrator at webmaster@ilch.cmailex.de to inform them of the time this error occurred, and the actions you performed just before this error.

    More information about this error may be available in the server error log.

    Die error.log kann ich nicht finden, wo befindet sich diese Datei?

    Kann jemand helfen?

    Gruß Jan


    verwendete ilch Version: 1.1 P

    betroffene Homepage: ilch.cmailex.de/
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.253
    Beitragswertungen
    366 Beitragspunkte
    Wo und ob du diese Dateien findest, kann dir eigentlich nur dein Provider bzw. deren Doku sagen.

    Internal Server Errors kommen häufig, wenn es eine .htaccess Datei gibt, die ungültig ist, u.a. auch weil da nicht unterstützte Befehle genutzt werden.

    Falls du eine .htaccess Datei hast, dann diese mal in _htaccess oder so umbenennen und dann schauen, ob es geht.
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    Jan68 Mitglied
    Registriert seit
    06.03.2015
    Beiträge
    114
    Beitragswertungen
    0 Beitragspunkte
    Hallo Mairu, eine .htaccess gibt es nicht. Die Fehlermeldung kommt auch wenn ich eine leere erstelle.

    Merkwürdig.

    Gruß Jan
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    Jan68 Mitglied
    Registriert seit
    06.03.2015
    Beiträge
    114
    Beitragswertungen
    0 Beitragspunkte
    Hallo und danke,

    wenn ich das ilchclanscript 1.1 P über den Installer einrichte dann läuft es siehe ilchclan.cmailex.de .

    Weiß einer Rat?

    Gruß Jan
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.253
    Beitragswertungen
    366 Beitragspunkte
    Dann klingt es so, dass du die config.php beim Umzug nicht angepasst hast und somit nicht die Richtigen "Zugangsdaten" für die Datenbank verwendet wurden.

    Du solltest die config.php deiner neuen Installation verwenden können, wenn die Datenbankdaten die gleichen sind.

    (include/includes/config.php)
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    Jan68 Mitglied
    Registriert seit
    06.03.2015
    Beiträge
    114
    Beitragswertungen
    0 Beitragspunkte
    Hallo und Danke,

    mit den alten Zugangsdaten kommt die selbe Meldung obwohl die stimmen.

    Ist beim rüberkopieren was schiefgegangen?

    Gruß Jan
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.253
    Beitragswertungen
    366 Beitragspunkte
    Ich weiß es nicht. In der Protokollen (Errorlogs) sollte die Antwort zu finden sein. Die Informationen dazu solltest du wie gesagt, bei deinem Hoster irgendwo finden oder erfragen können.
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  8. #8
    User Pic
    Jan68 Mitglied
    Registriert seit
    06.03.2015
    Beiträge
    114
    Beitragswertungen
    0 Beitragspunkte
    Hallo und danke Mairu,

    das habe ich gefunden:

    [18-Oct-2015 13:42:45 UTC] PHP Fatal error: Uncaught exception 'InvalidArgumentException' with message 'no valid secure token given, add function getTokenField() to formular' in /home/adm20429/public_html/application/libraries/Ilch/Page.php:69
    Stack trace:
    #0 /home/adm20429/public_html/index.php(46): Ilch\Page->__construct()

    Kannst du was damit anfangen?

    Gruß Jan
    0 Mitglieder finden den Beitrag gut.
  9. #9
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.253
    Beitragswertungen
    366 Beitragspunkte
    Mhh also das ist ja eher ein Fehler von ilch 2?
    Du hast aber ilch 1.1P geschrieben, diese beiden sind untereinander nicht kompatibel.

    Dieser Fehler kann außerdem nur kommen, wenn ein Formular abgesendet wurde, also nicht einfach so, wenn man die Seite aufruft.

    Es müsste also etwas genauer beschrieben werden, wobei der Fehler eigentlich auftritt.
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  10. #10
    User Pic
    Jan68 Mitglied
    Registriert seit
    06.03.2015
    Beiträge
    114
    Beitragswertungen
    0 Beitragspunkte
    Hallo Mairu,

    wieso laufen die beiden installierten Versionen Ilch 1.1 und ilch 2.0 alpha und die rüberkopierte Version 1.1 läuft nicht?

    gruß Jan
    0 Mitglieder finden den Beitrag gut.
  11. #11
    User Pic
    Siggi Entwickler
    Registriert seit
    08.02.2007
    Beiträge
    6.369
    Beitragswertungen
    298 Beitragspunkte
    ilch 1.1 und 2.0 sind nicht miteinander kompatible sowohl vom code, den Dateien oder der Datenbank Struktur nicht.

    Wenn du 1.1 oder 2.0 von A nach B schiebst muss du auch die jeweilige Datenbank von A nach B mitnehmen und die config.php anpassen wobei die config.php von 1.1 auch nicht mit 2.0 kompatible ist.


    Mal Arbeitest du mit 1.1P und mal mit 2.0 da blickt man so recht auch nicht durch was du vorhast reicht es nicht wenn du mit ein System Arbeitest bzw mit 1.1P da 2.0 doch noch einige Bugs oder Änderungen bekommt wie man in letzter Zeit sah.


    Zuletzt modifiziert von Siggi am 20.10.2015 - 13:33:53
    Wie poste ich falsch?
    Fahrschulplaner.info digitialisiert die Fahrstunden Ihrer Farhschul
    0 Mitglieder finden den Beitrag gut.
  12. #12
    User Pic
    Jan68 Mitglied
    Registriert seit
    06.03.2015
    Beiträge
    114
    Beitragswertungen
    0 Beitragspunkte
    Hallo lieber Siggi,

    das habe ich alles gemacht Datenbanke exportiert udann importiert, config.php angepaßt.

    Ich kann mich halt schlecht von Sachen trennen die mir gefallen wie ilch 1.1 und Ilch 2.

    besten dank
    Gruß Jan
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurück zu Installation und Upgrades

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten